Bug 480269 - libraries in 1.7.5 broken for missing symbols
libraries in 1.7.5 broken for missing symbols
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: DevIL (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 477448 478767 CVE-2008-5262
  Show dependency treegraph
 
Reported: 2009-01-15 22:39 EST by Mamoru TASAKA
Modified: 2009-01-21 16:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:39:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 511297 None None None Never

  None (edit)
Description Mamoru TASAKA 2009-01-15 22:39:00 EST
Description of problem:
As mentioned on 
https://www.redhat.com/archives/fedora-devel-list/2009-January/msg00870.html
libIL.so.1 in DevIL-1.7.5-1.fc11 contains undefined non-week
symbols and this is completely broken.

Version-Release number of selected component (if applicable):
DevIL-1.7.5-1.fc11 (and perhaps also .fc10, .fc9)

How reproducible:
100% 

Steps to Reproduce:
1. ldd -r libIL.so.1

Actual results:
1.7.5-1.fc11:
$ ldd -r libIL.so.1
        linux-gate.so.1 =>  (0x00110000)
        libtiff.so.3 => /usr/lib/libtiff.so.3 (0x0021c000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00275000)
        libmng.so.1 => /usr/lib/libmng.so.1 (0x0029c000)
        liblcms.so.1 => /usr/lib/liblcms.so.1 (0x0030b000)
        libjasper.so.1 => /usr/lib/libjasper.so.1 (0x00343000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x00398000)
        libz.so.1 => /lib/libz.so.1 (0x003bb000)
        libc.so.6 => /lib/libc.so.6 (0x004e3000)
        libm.so.6 => /lib/libm.so.6 (0x003cf000)
        /lib/ld-linux.so.2 (0x004c0000)
undefined symbol: ilLoadVtf     (./libIL.so.1)
undefined symbol: ilLoadVtfF    (./libIL.so.1)
undefined symbol: ilLoadVtfL    (./libIL.so.1)


Expected results:
1.6.8-0.15.rc2.fc9 :
$ ldd -r libIL.so.1
        linux-gate.so.1 =>  (0x00110000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x0021c000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x00243000)
        libtiff.so.3 => /usr/lib/libtiff.so.3 (0x00266000)
        libmng.so.1 => /usr/lib/libmng.so.1 (0x002bf000)
        liblcms.so.1 => /usr/lib/liblcms.so.1 (0x0032e000)
        libz.so.1 => /lib/libz.so.1 (0x00366000)
        libc.so.6 => /lib/libc.so.6 (0x004e3000)
        libm.so.6 => /lib/libm.so.6 (0x0037a000)
        /lib/ld-linux.so.2 (0x004c0000)


Additional info:
Comment 1 Mamoru TASAKA 2009-01-15 22:47:34 EST
On debian:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511297
Comment 2 John Ellson 2009-01-17 12:52:57 EST
This broken package is also in today's fc10 updates-testing push.   Perhaps non-urgent updates should soak a little longer in Rawhide before breaking other distros?   At least enough time should pass for a maintainer to hold-back a broken release from other distros if problems are reported, like in this case.

It doesn't even have to be the maintainer.   Perhaps there should be a check-box on the bug report: "hold back until fixed".

BTW.  This problem breaks graphviz builds
Comment 3 Aurelien Bompard 2009-01-19 01:28:43 EST
Upstream has a fix for it too:
http://sourceforge.net/tracker/index.php?func=detail&aid=2517255&group_id=4470&atid=104470
Comment 4 Hans de Goede 2009-01-19 05:04:23 EST
Very sorry about this guys, an update fixing this is on its way.
Comment 5 Fedora Update System 2009-01-19 05:46:50 EST
DevIL-1.7.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/DevIL-1.7.5-2.fc10
Comment 6 Fedora Update System 2009-01-19 05:47:20 EST
DevIL-1.7.5-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/DevIL-1.7.5-2.fc9
Comment 7 Hedayat Vatankhah 2009-01-19 06:13:49 EST
Thanks, worked for me :)
Comment 8 Fedora Update System 2009-01-21 16:38:55 EST
DevIL-1.7.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-01-21 16:39:42 EST
DevIL-1.7.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.